<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgJoomsuite_content_fieldsEmail_alert extends JPlugin
{
	function plgJoomsuite_content_fieldsEmail_alert( &$subject, $params )
	{
		parent::__construct( $subject, $params );
	}

	function onRenderField( &$obj, &$params, $type)
	{
		if($type != 'email_alert') return;
		global $mainframe;
		$def = JRequest::getVar('fields', null, 'default', 'array', JREQUEST_ALLOWRAW);
		if($def[$obj->id]) $obj->field_value = $def[$obj->id];

		$width = $params->get('width', '100%');
		$height = $params->get('height', '300');

		$editor =& JFactory::getEditor();
		/*
		 if( $params->get('short') && !$mainframe->isAdmin() ){
			echo $editor->display("fields[{$obj->id}]",  htmlspecialchars(stripslashes($obj->field_value), ENT_QUOTES, 'UTF-8'), $width, $height, '60', '20', false, array( 'theme' => 'simple' ) ) ;
			} else {
			echo $editor->display("fields[{$obj->id}]",  htmlspecialchars(stripslashes($obj->field_value), ENT_QUOTES, 'UTF-8'), $width, $height, '60', '20', true ) ;
			}*/
		echo $editor->display("fields[{$obj->id}]",  htmlspecialchars(stripslashes($obj->field_value), ENT_QUOTES, 'UTF-8'), $width, $height, '60', '20', false, array( 'theme' => 'simple' ) ) ;

	}

	function onBeforeSave(&$value, &$params, $type, $id, $row, &$error)
	{
		if($type != 'email_alert') return;
		if(!$value) return;

		$v = JRequest::getVar('fields', array(), 'post', 'array', JREQUEST_ALLOWRAW);

		$safeHtmlFilter = & JFilterInput::getInstance(null, null, 1, 1);

		$value = $safeHtmlFilter->_remove($v[$id]);
	}

	function onRenderFieldValue(&$out, &$field, &$record, $category)
	{
		$type = $field->type;
		
		if($type != 'email_alert') return;
		if( !$field->field_value ) return;
		
		$params = new JParameter($field->params);
		$user = $record->user_id;
		
		if($params->get('show_alert'))
		{
			$out = $field->field_value;
		}
	}

}
?>